startmacro

  ! Test the goto with a static label.
  goto end_static_goto
  assert/text="Failed GOTO" 0 eq 1
  
  label end_static_goto
  

  ! Test the goto with a computed label.
  res goto_label "c"

  goto ^goto_label

  label a
  assert/text="Failed GOTO ... label a" 0 eq 1
  goto end_computed_goto

  label b
  assert/text="Failed computed GOTO ... label b" 0 eq 1
  goto end_computed_goto

  label c
  goto end_computed_goto

  label d
  assert/text="Failed computed GOTO ... label d" 0 eq 1

  label end_computed_goto

endmacro
